/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 31/10/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;

import java.util.List;

import javax.persistence.Column;
import javax.validation.constraints.Max;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StrukturNomorDto {

	private Integer kode;

	@NotNull(message = "strukturnomor.strukturnomor.notnull")
	private String namaStrukturNomor;

	@NotNull(message = "strukturnomor.reportdisplay.notnull")
	private String reportDisplay;

	private String deskripsiDetail;

	private String kdDepartemen;

	@NotNull(message = "strukturnomor.isdefault.notnull")
	private Integer isDefault;

	@NotNull(message = "strukturnomor.qtydigitnomor.notnull")
	private Integer qtyDigitNomor;

	@NotNull(message = "strukturnomor.formatnomor.notnull")
	private String formatNomor;

	@NotNull(message = "strukturnomor.isautoincrement.notnull")
	private Integer isAutoIncrement;

	private Integer kdStrukturNomorHead;
	
	private Integer kdTypeDataObjek;

	private String keteranganLainnya;

	@NotNull(message = "strukturnomor.statusenabled.notnull")
	private Boolean statusEnabled; 
	
	 private Integer isQtyNomorPastRecallByPass;
	 
	 private Integer durasiPanggilanMenit;
	 
	 private Integer qtyNomorPastRecall;
	 
	  private Integer qtyPanggilan;
	  
	  private Integer isPanggilanByPass;
	
	//DataStrukturNomorDetailDto dataStrukturNomorDetail;

	private List<StrukturNomorDetailDto> strukturNomorDetail;

}
